View Issue Details

IDProjectCategoryView StatusLast Update
0014347ScribusUsabilitypublic2018-04-24 08:46
ReporterPeterBenedek Assigned To 
PrioritynormalSeverityminorReproducibilityalways
Status confirmedResolutionopen 
Platformx64OSLinux MintOS Version18 (64bit)
Product Version1.5.3.svn 
Target Version1.5.4Fixed in Version 
Summary0014347: PP displays incorrect informations for numerated lists
DescriptionPP - Text - Paragraph Effect - Numerated List malfunction.

Five small video the experience.

Tags#pending, lists
PatchNo

Relationships

related to 0013884 new Auto-indent (Numerated list) doesn't work with prefix or suffix 
related to 0013731 closedjghali Numerated Lists: refresh bug 
related to 0011277 closed [OBSOLETE][patch] numeration and bullets 
related to 0013912 confirmed Scribus doesn't highlight text accurately if you turn selection in to a list 
related to 0013730 new Numerated Lists: no whitespace between list item number and text of that list item 
parent of 0014465 closedcbradney PP displays incorrect informations for numerated list Pt1 

Activities

PeterBenedek

2016-11-01 17:46

developer  

01.mp4 (178,947 bytes)

PeterBenedek

2016-11-01 17:47

developer  

02.mp4 (457,110 bytes)

PeterBenedek

2016-11-01 17:47

developer  

03.mp4 (623,633 bytes)

PeterBenedek

2016-11-01 17:47

developer  

04.mp4 (716,885 bytes)

PeterBenedek

2016-11-01 17:48

developer  

05.mp4 (871,839 bytes)

jghali

2016-11-07 13:38

administrator   ~0042355

Last edited: 2016-11-07 19:29

View 2 revisions

Please test r21500. Iirc the layout issue related to paragraph offset has already been the subject of another report.

PeterBenedek

2016-11-08 16:09

developer   ~0042365

Last edited: 2016-11-08 16:11

View 2 revisions

Tested r21500; Linux Mint 18
Source:
https://launchpad.net/~scribus/+archive/ubuntu/ppa

Unchanged. :-(

I can reproduce: 01, 02, 03, 04, 05.mp4

I'll try again later.

Kunda

2016-11-14 11:42

manager   ~0042415

added all other related numerated list bugs

Kunda

2016-12-13 23:19

manager   ~0042968

Split ticket for 1.mp4 in to separate ticket: 0014465 and linked as a child of this ticket

Kunda

2016-12-16 23:12

manager   ~0043077

Peter, craig fixed the PP in 01.mp4 but the text frame still 'collapses' as I mentioned in 0014465:0042978

PeterBenedek

2018-04-24 08:36

reporter   ~0045179

Last edited: 2018-04-24 08:40

View 2 revisions

Retest: r22473; Qt 5.10.1
I can't reproduce anymore:
01.mp4
02.mp4
03.mp4
04.mp4
and actually 05.mp4 neither, but 05.mp4 the upshot is interesting.

Question: does it make sense to the negative value?



output.gif (235,354 bytes)
output.gif (235,354 bytes)

PeterBenedek

2018-04-24 08:46

reporter   ~0045180

Opinion? Closable this ticket?

Issue History

Date Modified Username Field Change
2016-11-01 17:46 PeterBenedek New Issue
2016-11-01 17:46 PeterBenedek File Added: 01.mp4
2016-11-01 17:47 PeterBenedek File Added: 02.mp4
2016-11-01 17:47 PeterBenedek File Added: 03.mp4
2016-11-01 17:47 PeterBenedek File Added: 04.mp4
2016-11-01 17:48 PeterBenedek File Added: 05.mp4
2016-11-06 16:04 jghali Summary Summary error report: PP - Numerated List contradictions => PP - Numerated List contradictions
2016-11-06 16:06 jghali Summary PP - Numerated List contradictions => PP displays incorrect numerated list informations
2016-11-07 13:38 jghali Note Added: 0042355
2016-11-07 13:43 jghali Summary PP displays incorrect numerated list informations => PP displays incorrect informations for numerated list
2016-11-07 13:43 jghali Summary PP displays incorrect informations for numerated list => PP displays incorrect informations for numerated lists
2016-11-07 19:29 jghali Note Edited: 0042355 View Revisions
2016-11-08 16:09 PeterBenedek Note Added: 0042365
2016-11-08 16:11 PeterBenedek Note Edited: 0042365 View Revisions
2016-11-11 22:30 Kunda Tag Attached: #pending
2016-11-11 23:23 Kunda Assigned To => jghali
2016-11-11 23:23 Kunda Status new => feedback
2016-11-11 23:30 jghali Assigned To jghali =>
2016-11-11 23:30 jghali Status feedback => new
2016-11-14 11:40 Kunda Relationship added related to 0013884
2016-11-14 11:40 Kunda Relationship added related to 0013731
2016-11-14 11:41 Kunda Relationship added related to 0011277
2016-11-14 11:41 Kunda Relationship added related to 0013912
2016-11-14 11:42 Kunda Relationship added related to 0013730
2016-11-14 11:42 Kunda Note Added: 0042415
2016-11-14 11:43 Kunda Tag Attached: lists
2016-12-13 23:17 Kunda Issue cloned: 0014465
2016-12-13 23:17 Kunda Relationship added parent of 0014465
2016-12-13 23:19 Kunda Description Updated View Revisions
2016-12-13 23:19 Kunda Note Added: 0042968
2016-12-16 23:11 Kunda Status new => confirmed
2016-12-16 23:11 Kunda Target Version => 1.5.4
2016-12-16 23:12 Kunda Note Added: 0043077
2018-04-24 08:36 PeterBenedek File Added: output.gif
2018-04-24 08:36 PeterBenedek Note Added: 0045179
2018-04-24 08:40 PeterBenedek Note Edited: 0045179 View Revisions
2018-04-24 08:46 PeterBenedek Note Added: 0045180